SDL_bmodes.h File Reference
`#include "../SDL_sysvideo.h"`
Include dependency graph for SDL_bmodes.h:

Go to the source code of this file.

## Functions

int32 | BE_ColorSpaceToBitsPerPixel (uint32 colorspace)
int32 | BE_BPPToSDLPxFormat (int32 bpp)
int | BE_InitModes (_THIS)
int | BE_QuitModes (_THIS)
int | BE_GetDisplayBounds (_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)
void | BE_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | BE_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)

## Function Documentation

## BE_BPPToSDLPxFormat()

int32 BE_BPPToSDLPxFormat | ( | int32 | bpp | ) |

## BE_ColorSpaceToBitsPerPixel()

int32 BE_ColorSpaceToBitsPerPixel | ( | uint32 | colorspace | ) |

## BE_GetDisplayBounds()

int BE_GetDisplayBounds | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_Rect * | rect
| ) |  |

## BE_GetDisplayModes()

void BE_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

## BE_InitModes()

int BE_InitModes | ( | _THIS |  | ) |

## BE_QuitModes()

int BE_QuitModes | ( | _THIS |  | ) |

## BE_SetDisplayMode()

int BE_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |